#ifndef __NST_H__
#define __NST_H__

#include <vector>

#ifndef BYTE
#define BYTE unsigned char
#endif

class Nst : public QFrame {

	Q_OBJECT

public:
	Nst(QWidget*, const char*, TlnInfo*);
	~Nst();

	void setStatus(const vector<BYTE>&, int);
	void setText(QString);
	void setText(char *);

private:
	void mouseMoveEvent( QMouseEvent * _mouse );
	void mousePressEvent( QMouseEvent * _mouse );
	void mouseReleaseEvent( QMouseEvent * _mouse );

	int		pressed;
	int		press_y;
	int		press_x;
	QLabel*	__lab;
	QLabel*	__ulab;
	led*	__led;
	TlnInfo* __info;
};
#endif  __NST_H__
