/********************************************************************
 * EditD.h
 * Part of maKs
 * Copyright Chris Benndorf, 1998, 1999, 2000
 * Released under GNU Public Library License
 * Best readeable with ":set tabstop=4"
 *
 * $Id: EditD.h,v 1.1 1999/12/30 20:56:45 root Exp root $
 *
 ********************************************************************/

#ifndef __EDITD_H__
#define __EDITD_H__

class EditDialog : public QDialog {
	
	Q_OBJECT

public:
	EditDialog(QWidget *_parent=0L, const char *_name=0L, bool _modal=true, WFlags _f=0);
	~EditDialog();

	void			SetData(const QString&,const QString&,const QString&,const QString&,const QString& ,const QString&);
	void			SetData(const char* ,const char* ,const char* ,const char* ,const char* ,const char*);
	const QString&	Name();
	const QString&	Kurzwahl();
	const QString&	Gruppe();
	const QString&	Okz();
	const QString&	Lkz();
	const QString&	Telnr();

private slots:
	void saveData();

private:
	QFrame		*frame;
	QLabel		*nameL;
	QLineEdit	*nameE;
	QLabel		*kwzL;
//	QLineEdit	*kwzE;
	QLabel		*lkzL;
	QLineEdit	*lkzE;
	QLabel		*okzL;
	QLineEdit	*okzE;
	QLabel		*telL;
	QLineEdit	*telE;
	QLabel		*grpL;
	QLineEdit	*grpE;
	QPushButton *okB;
	QPushButton *cancelB;
	QString		__kwz;
	QString		__grp;
	QString		__lkz;
	QString		__okz;
	QString		__tel;
	QString		__name;
};
#endif __EDITD_H__
