/********************************************************************
 * LprD.h
 * Part of maKs
 * Copyright Chris Benndorf, 1998
 * Released under GNU Public Library License
 * Best readeable with ":set tabstop=4"
 *
 * $Id: LprD.h,v 1.1 1999/12/30 20:56:45 root Exp root $
 *
 ********************************************************************/

#ifndef __LPRD_H__
#define __LPRD_H__

#include <qdialog.h>
#include <qframe.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qpushbt.h>
#ifndef QString
#include <qstring.h>
#endif

class LprDialog : public QDialog {
	
	Q_OBJECT

public:
    LprDialog(QWidget *_parent=0L, const char *_name=0L, bool _modal=true, WFlags _f=0);
    ~LprDialog();

	const char *LprName() const;
	int			LprLines() const;

protected:
	QFrame		*frame;
	QLabel		*nameL;
	QLineEdit	*nameE;
	QLabel		*lineL;
	QLineEdit	*lineE;
	QPushButton *okB;
	QPushButton *cancelB;
	int			__lines;
	char		*__name;

private:
	void	readPrefs();
	void	writePrefs();

};
#endif __LPRD_H__
