/********************************************************************
 * Sarah/AFrame.h
 * Part of maKs
 * Copyright Chris Benndorf, 1998
 * Released under GNU Public Library License
 * Best readeable with ":set tabstop=4"
 *
 * $Id: AFrame.h,v 1.3 1999/12/16 19:11:59 root Exp $
 *
 ********************************************************************/

#include <MsgHandlerQt.h>

class AFrame : public QFrame {
	
	Q_OBJECT

public:
    AFrame(QWidget *_parent=0L, const char *name=0L);
    ~AFrame();

public slots:
    void start(ESPMsgHdr *);
	void handleESP(ESPMsgHdr *);
	void getInfo0();
	void getInfo1();
	void getInfo2();
	void getInfo3();
	void getInfo4();
	void getInfo5();
	void getInfo6();
	void getInfo7();
	void sendKill();
	void itemSelect(const char*);
	void failure(MsgHandlerQt*);

protected:
	void resizeEvent(QResizeEvent *);

private:
	void build();
	void getInfo();

	BYTE			info;
	BYTE			line;
	int				linkid;
	QFrame			*f1;
	QFrame			*f2;
	QLabel			*head;
	QListBox		*list;
	QPushButton		*b0;
	QPushButton		*b1;
	QPushButton		*b2;
	QPushButton		*b3;
	QPushButton		*b4;
	QPushButton		*b5;
	QPushButton		*b6;
	QPushButton		*b7;
	QPushButton		*k;
	QPushButton		*q;
	MsgHandlerQt	*mh;
};
