/********************************************************************
 * lib/Packet.h
 * Part of maKs
 * Copyright Chris Benndorf, 1998
 * Released under GNU Public Library License
 * Best readeable with ":set tabstop=4"
 *
 * $Id: Packet.h,v 1.1 1999/12/30 21:04:17 root Exp root $
 *
 ********************************************************************/
 
#ifndef	__PACKET_H__
#define __PACKET_H__

EspMsg	*allocEsp(size_t len);
EspMsg	*createEsp(BYTE f, BYTE a, BYTE g, BYTE e, BYTE l, BYTE *d);
EspMsg	*createBufEsp(BYTE *d, size_t len);
EspMsg	*recv_Packet(int fd, int debug, FILE *logfp);
void	freeEsp(EspMsg *esp);
int		sendPacket(int fd, EspMsg *esp);
int		send_delPacket(int fd, EspMsg *esp);

void analyse(EspMsg *esp, int debug, FILE *out);
#endif	__PACKET_H__
