# make.c.inc
# $Id: make.c.inc,v 1.1 2000/01/18 17:17:29 root Exp root $
#


ifdef POSTGRES_DIR
ifdef USE_DB
POSTGRESDEF	= -DDB_POSTGRES

LDEFINES	+= $(POSTGRESDEF)
LINCLUDES	+= $(POSTGRESINCL)
LLIBS		+= $(POSTGRESLIB)
endif
endif


all:	$(PROGRAM)

%.o:	%.c %.h
	$(CC) $(CFLAGS) $(DEBUGFLAGS) $(LINCLUDES) $(LDEFINES) -o $@ -c $<

$(PROGRAM):	$(OBJECTS) ../lib/libmaKs.a
	$(CC) -o $@ $(OBJECTS) $(LLIBS)

clean:
	@rm $(PROGRAM) *.o

install:
	@strip $(PROGRAM)
	$(INSTALL) -groot -oroot -m555 -s ./$(PROGRAM)   $(BINDIR)
	
