# make.kde.inc
# $Id: make.kde.inc,v 1.1 2000/01/18 17:15:07 root Exp root $
#

ifdef KDE_DIR

LINCLUDES	+= $(KDE_INCLS)
LLIBS		+= $(KDE_LIBS)

all:	$(PROGRAM)

%.cpp:	%.moc

%.moc:	%.h
	$(MOC) $< -o $@

%.o:	%.cpp
	$(CXX) $(CXXFLAGS) $(DEBUGFLAGS) $(LINCLUDES) $(LDEFINES) -o $@ -c $<

$(PROGRAM):	$(METAOBJECTS) $(OBJECTS) ../lib++/libmaKs++.a
	$(CXX) $(CXXFLAGS) -o $@ $(OBJECTS) $(LLIBS)

clean:
	@rm $(PROGRAM) core *.o $(METAOBJECTS)

install:
	@strip $(PROGRAM)
	$(INSTALL) -groot -oroot -m555 -s ./$(PROGRAM) $(BINDIR)

endif
