/********************************************************************
 * auth.h
 * Part of maKs
 * Copyright Chris Benndorf, 1998
 * Released under GNU Public Library License
 * Best readeable with ":set tabstop=4"
 *
 * $Id: auth.h,v 1.2 1999/03/07 20:02:04 root Exp $
 *
 ********************************************************************/
#ifndef __AUTH_H__
#define __AUTH_H__
 
#define AUTH_NONE		0x00
#define AUTH_CLEARTXT	0x01
#define AUTH_ENCRYPT	0x02
#define AUTH_CHALLENG	0x04

#define AUTH_IMPLEMNT	(AUTH_NONE | AUTH_CLEARTXT)

BYTE	auth_method(BYTE req, char **data, int *len);
int		auth_check(cl_mgmt *cl, BYTE auth, char *data);
void	auth_cleartxt_read(char *ctfname);

#endif  __AUTH_H__
